dnl $Id: acinclude.m4,v 1.2.2.2 2005/04/24 16:50:53 jpbl Exp $ -*- autoconf -*-
dnl ICE and DDD autoconf macros
dnl 
dnl Copyright (C) 1995-1998 Technische Universitaet Braunschweig, Germany.
dnl Copyright (C) 1999-2001 Universitaet Passau, Germany.
dnl Copyright (C) 2001-2004 Free Software Foundation, USA.
dnl Written by Andreas Zeller <zeller@gnu.org>.
dnl 
dnl This file is part of DDD.
dnl 
dnl DDD is free software; you can redistribute it and/or
dnl modify it under the terms of the GNU General Public
dnl License as published by the Free Software Foundation; either
dnl version 2 of the License, or (at your option) any later version.
dnl 
dnl DDD is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
dnl See the GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public
dnl License along with DDD -- see the file COPYING.
dnl If not, write to the Free Software Foundation, Inc.,
dnl 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl dnl
dnl
dnl ICE_STREAMPOS
dnl -------------
dnl
dnl If <iostream.h> or <fstream.h> define a `streampos' type 
dnl (as type of os.tellp(), etc.), define `HAVE_STREAMPOS'.
dnl In DDD, see `streampos.h' for details.
dnl
AC_DEFUN([ICE_STREAMPOS],
[
AC_REQUIRE([AC_PROG_CXX])
AC_CACHE_CHECK([for streampos],
[ice_cv_have_streampos],
[
AC_LANG_PUSH(C++)
AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <iostream>
#include <fstream>]],
[[streampos p;]])],
[ice_cv_have_streampos=yes],
[ice_cv_have_streampos=no])
AC_LANG_POP(C++)
])
if test "$ice_cv_have_streampos" = yes; then
AC_DEFINE(HAVE_STREAMPOS,1,
[Define if the `streampos' type can be used after <iostream.h>.])
fi
])dnl
dnl
dnl
dnl If <iostream.h> or <fstream.h> define a `std::streampos' type 
dnl (as type of os.tellp(), etc.), define `HAVE_STD_STREAMPOS'.
dnl (Background: In GCC 3.0, `streampos' does not work, but 
dnl `std::streampos' does...)
dnl In DDD, see `streampos.h' for details.
dnl
AC_DEFUN([ICE_STD_STREAMPOS],
[
AC_REQUIRE([AC_PROG_CXX])
AC_CACHE_CHECK([for std::streampos],
[ice_cv_have_std_streampos],
[
AC_LANG_PUSH(C++)
AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <iostream>
#include <fstream>]],
[[std::streampos p;]])],
[ice_cv_have_std_streampos=yes],
[ice_cv_have_std_streampos=no])
AC_LANG_POP(C++)
])
if test "$ice_cv_have_std_streampos" = yes; then
AC_DEFINE(HAVE_STD_STREAMPOS,1,
[Define if the `std::streampos' type can be used after <iostream.h>.])
fi
])
